unit objtodb.types;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils;

Type

  { TableAttribute }

  TableAttribute = class(TCustomAttribute)
    FTable : String;
    constructor create(aTable : String);
    Property Table : String Read FTable;
  end;

  { DBFieldAttribute }

  DBFieldAttribute = class(TCustomAttribute)
    FName : String;
    constructor create(aName : String);
    Property Name : String Read FName;
  end;

  { DBKeyFieldAttribute }

  DBKeyFieldAttribute = class(TCustomAttribute)
    constructor Create;
  end;

implementation

{ TableAttribute }

constructor TableAttribute.create(aTable: String);
begin
  FTable:=aTable;
end;

{ DBFieldAttribute }

constructor DBFieldAttribute.create(aName: String);
begin
  FName:=aName;
end;

{ DBKeyFieldAttribute }

constructor DBKeyFieldAttribute.Create;
begin
  // Do nothing
end;

end.

